Loading...
Searching...
No Matches
BALL::SESSingularityCleaner Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/solventExcludedSurface.h>`

## Classes

struct | ProbeIntersection

## Public Types

typedef std::pair< std::pair< TAngle< double >, Index >, TVector3< double > > | Intersection

## Public Member Functions

Constructors and Destructors
| SESSingularityCleaner ()
| SESSingularityCleaner (SolventExcludedSurface *ses, HashGrid3< Index > *vertex_grid_)
virtual | ~SESSingularityCleaner ()
Accessors
bool | run ()

## Friends

class | SESComputer

## Treatment of singularities (private)

SolventExcludedSurface * | ses_
HashGrid3< Index > * | vertex_grid_
HashMap< Position, HashMap< Position, HashMap< Position, ProbeIntersection * > > > | probe_intersections_

## Detailed Description

Generic SESComputer Class.

Definition at line 456 of file solventExcludedSurface.h.

## Member Typedef Documentation

## Intersection

typedef std::pair< std::pair<TAngle<double>,Index>,TVector3<double> > BALL::SESSingularityCleaner::Intersection

Definition at line 462 of file solventExcludedSurface.h.

## Constructor & Destructor Documentation

## SESSingularityCleaner() [1/2]

BALL::SESSingularityCleaner::SESSingularityCleaner | ( |  | ) |

Default constructor. This method creates a new SESComputer object.

## SESSingularityCleaner() [2/2]

BALL::SESSingularityCleaner::SESSingularityCleaner | ( | SolventExcludedSurface * | ses,
|  | HashGrid3< Index > * | vertex_grid_ )

Detailed constructor

## ~SESSingularityCleaner()

virtual BALL::SESSingularityCleaner::~SESSingularityCleaner | ( |  | ) |

virtual

Destructor. As there are no dynamic data structures, nothing happens.

## Member Function Documentation

## run()

bool BALL::SESSingularityCleaner::run | ( |  | ) |

Solves the singularities

Exceptions

  BALL::Exception::GeneralException |

## Friends And Related Symbol Documentation

## SESComputer

friend class SESComputer

friend

Definition at line 469 of file solventExcludedSurface.h.

## Member Data Documentation

## probe_intersections_

HashMap< Position, HashMap< Position, HashMap< Position, ProbeIntersection* > > > BALL::SESSingularityCleaner::probe_intersections_

protected

Definition at line 639 of file solventExcludedSurface.h.

## ses_

SolventExcludedSurface* BALL::SESSingularityCleaner::ses_

protected

Definition at line 626 of file solventExcludedSurface.h.

## vertex_grid_

HashGrid3<Index>* BALL::SESSingularityCleaner::vertex_grid_

protected

Definition at line 630 of file solventExcludedSurface.h.